Page MenuHomeFreeBSD

devel/py-twisted: Update 20.3.0 and extra_require
ClosedPublic

Authored by dereks_lifeofadishwasher.com on Mar 25 2020, 8:08 PM.

Details

Summary
  • Update to 20.3.0 [1]
  • Include extra_require options on by default [2]
  • Excluding extra_require soap due to soappy being python 2.7 only

[1] https://github.com/twisted/twisted/blob/trunk/NEWS.rst#twisted-2030-2020-03-13
[2] https://github.com/twisted/twisted/blob/trunk/src/twisted/python/_setup.py#L94

soappy is a python 2.7 only project and has a long running issue with Twisted to be replaced with something else (ZSI 2.0). https://twistedmatrix.com/trac/ticket/3283

Test Plan

20.3.0@36:
Ran 12912 tests in 370.716s
FAILED (skips=2601, expectedFailures=3, failures=9, errors=1, successes=10298)

20.3.0@27:
Ran 12789 tests in 349.549s
FAILED (skips=2556, failures=10, errors=13, successes=10210)

18.9.0_1@36:
Ran 12671 tests in 213.893s
FAILED (skips=3067, failures=9, errors=1, successes=9594)

18.9.0_1@27:
Ran 12580 tests in 190.577s
FAILED (skips=2992, failures=10, errors=13, successes=9565)

Most 2.7 errors are covered here:
https://twistedmatrix.com/trac/ticket/8078

And maybe more failures here:
https://twistedmatrix.com/trac/ticket/3787

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Looking for any additional feedback on testing py-twisted.

github_evilham.com added inline comments.
devel/py-twisted/Makefile
18 ↗(On Diff #69866)

Twisted 20.3.0 requires now attrs >= 19.2.0

40 ↗(On Diff #69866)

Twisted 20.3.0 requires cryptography >= 2.5

50 ↗(On Diff #69866)

Twisted 20.3.0 requires service_identity >= 18.1.0

This revision now requires changes to proceed.Apr 2 2020, 5:03 PM

Update 20.3.0 requirments. The original commit was from 19.10.0.

Adding my comment from PR 245252.

Just a minor change in the patch (don't need to update it), we can always improve options descriptions, see here: Porters Handbook - Makefile Options.

My suggestion:

CONCH_DESC= Conch secure shell SSH
SERIAL_DESC=  Serial port extension

HTTP2_DESC and TLS_DESC are already present in Mk/bsd.options.desc.mk and fits here.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 26 2020, 2:17 PM
This revision was automatically updated to reflect the committed changes.